<template>
  <div>
    <div class="con-banner-top" />

    <div class="con-main-body">
      <div class="container">
        <member-confirm
          @modify="gotoFinish"
          @change-input="gotoInput"
        />
      </div>
    </div>
  </div>
</template>

<script>
import MemberConfirm from '~/components/organisms/member/MemberConfirm'

export default {
  components: {
    MemberConfirm
  },

  computed: {
    /**
     * Member regist input path
     *
     */
    inputPath () {
      return {
        path: '/member/regist/input'
      }
    },

    /**
     * finish path
     *
     */
    finishPath () {
      return {
        path: '/member/regist/finish'
      }
    }
  },

  methods: {
    /**
     * Transition without leaving in history
     */
    gotoInput () {
      this.$router.replace(this.inputPath)
    },

    /**
     * Go to finish page
     */
    gotoFinish () {
      this.$router.replace(this.finishPath)
    }
  }
}
</script>
